import os
from io import open
from setuptools import setup
from setuptools import find_packages

here = os.path.abspath(os.path.dirname(__file__))

with open(os.path.join(here, 'README.md'), "r", encoding="utf-8") as fobj:
    long_description = fobj.read()

requires = [
    "click",
]

setup(
    name="copytruncate",
    version="0.1.1",
    description="文件另存后清空文件，保持文件inode不变。一般可用于大日志文件的交换等场景。",
    long_description=long_description,
    long_description_content_type='text/markdown',
    url="https://github.com/appstore-zencore/copytruncate",
    author="zencore",
    author_email="dobetter@zencore.cn",
    license="MIT",
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3 :: Only',
    ],
    keywords=['copytruncate'],
    requires=requires,
    install_requires=requires,
    packages=find_packages("."),
    py_modules=["copytruncate"],
    entry_points={
        'console_scripts': ['copytruncate = copytruncate:main']
    },
)